export default {
	userwxlogin(data) { //登录
		return uni.api.post("/login/wx/custom/login", data);
	},
	loginapplogin(data) { //APP登录(登录即注册)
		return uni.api.post("/login/app/login", data);
	},
	productqueryProduct(data) { //获取商品信息
		return uni.api.post("/product/queryProduct", data,false);
	},
	// 下单详情
	getproductorderConfirm(data) {
		return uni.api.get("/product/orderConfirm", data);
	},
	// 会员支付
	accountPay(data) {
		return uni.api.get("/pay/accountPay", data);
	},
	
	// 下单
	creatGroupOrder(data) {
		return uni.api.post("/groupOrderInfo/creatGroupOrder", data);
	},
	cartadd(data) { //添加到购物车
		return uni.api.post("/cart/add", data);
	},
	cartcartList(data) { //购物车
		return uni.api.get("/cart/cartList", data);
	},
	logincreateCardNo(data) { //获取会员码
		return uni.api.get("/login/createCardNo", data);
	},
	cartupdateNumber(data) { //购物车更改数量
		return uni.api.get("/cart/updateNumber", data);
	},
	ordercreatOrder(data) { //下单
		return uni.api.post("/order/creatOrder", data);
	},
	cartclear(data) { //清空购物车
		return uni.api.get("/cart/clear", data);
	},
	payorderPay(data) { //订单支付
		return uni.api.post("/pay/orderPay", data);
	},
	orderorderList(data) { //订单列表
		return uni.api.get("/order/orderList", data);
	},
	// 团购订单列表
	groupOrderInfo(data) { //订单列表
		return uni.api.get("/groupOrderInfo/list", data);
	},
	orderorderInfo(data) { //订单回显
		return uni.api.get("/order/orderInfo", data);
	},
	groupOrderInfoDetail(data) { //订单回显
		return uni.api.get("/groupOrderInfo/get", data);
	},
	loginwxuserInfo(data) { //用户详情
		return uni.api.get("/login/userInfo", data);
	},
	paymemeberIn(data) { //充值
		return uni.api.post("/pay/memeberIn", data);
	},
	// 支付
	payOrderPay(data) {
		return uni.api.post("/pay/groupOrderPay", data);
	},
	paymodfiyOrderInfo(data) { //查询订单支付状态
		return uni.api.post("/pay/modfiyOrderInfo", data);
	},
	// 获取余额
	shopUserInfo(data) {
		return uni.api.get("/user/shopUserInfo", data);
	},
	// 优惠券数量
	userCoupon(data) {
		return uni.api.get("/user/userCoupon", data);
	},
	// 优惠加倍
	yhqDouble(data) { //查询订单支付状态
		return uni.api.post("/order/yhqDouble", data);
	},
	// 优惠卷详情
	getYhqDouble(data) { //通过选中的商品规格查询价格
		return uni.api.get("/order/getYhqDouble", data);
	},
	productqueryProductSku(data) { //通过选中的商品规格查询价格
		return uni.api.get("/product/queryProductSku", data,false);
	},
	logingetPhoneNumber(data) { //小程序获取手机号
		return uni.api.post("/login/getPhoneNumber", data);
	},
	cashierServiceloginregister(data) { //用户注册
		return uni.api.post("/cashierService/login/register", data);
	},
	cashierServiceloginregister(data) { //APP登录
		return uni.api.post("/login/app/login", data);
	},
	phoneValidateCode(data) { //验证码
		return uni.api.get("/phoneValidateCode", data);
	},
	homehomePageUp(data) { //首页上半部分
		return uni.api.post("/home/homePageUp", data);
	},
	home(data) { //首页上半部分
		return uni.api.post("/home", data, false);
	},
	locationdistrict(data) { //获取行政区域(区，街道)
		return uni.api.get("/location/district", data);
	},
	queryMemberAccount(data) { //获取行政区域(区，街道)
		return uni.api.get("/pay/queryMemberAccount", data);
	},
	ordermineCoupons(data) { //我的优惠券
		return uni.api.get("/order/mineCoupons", data, false);
	},
	ordergetYhqPara(data) { //获取优惠券参数列表
		return uni.api.get("/order/getYhqPara", data);
	},
	orderfindCoupons(data) { //系统优惠券
		return uni.api.get("/order/findCoupons", data);
	},
	tbPlatformDict(data) { //获取菜单
		return uni.api.get("/tbPlatformDict", data);
	},
	distirictsubShopList(data) { //预约到店(店铺列表)
		return uni.api.get("/distirict/subShopList", data);
	},
	distiricttopCommon(data) { //获取top部分(店铺列表)
		return uni.api.get("/distirict/topCommon", data);
	},
	orderfindWiningUser(data) { //获取免单订单
		return uni.api.get("/order/findWiningUser", data);
	},
	// 获取自己的免单订单
	ordermineWinner(data) {
		return uni.api.get("/order/mineWinner", data);
	},
	indexlist(data) { //商品列表(今日上新/热榜/咖啡饮品)
		return uni.api.get("/distirict/productCate", data, false);
	},
	productproductInfo(data) { //商品详情
		return uni.api.get("/product/productInfo", data);
	},
	distirictcomShopList(data) { //通用门店列表
		return uni.api.get("/distirict/comShopList", data);
	},
	loginOut(data) { //退出登录
		return uni.api.post("/login/loginOut", data);
	},
	productqueryShopIdByTableCode(data) { //通过桌码获取shopId
		return uni.api.get("/product/queryShopIdByTableCode", data);
	},
	geocodelocation(data) { //根据经纬度获取信息
		return uni.api.get("/location/geocode", data);
	},
	// 修改头像和昵称
	upUserInfo(data) {
		return uni.api.post("/login/upUserInfo", data);
	},
	loginresetPwd(data) { // 重置资金密码
		return uni.api.post("/login/resetPwd", data);
	},
	paygetActive(data) { // 获取充值活动
		return uni.api.get("/pay/getActive", data);
	},
	paygetShopByMember(data) { // 获取会员店铺信息
		return uni.api.get("/pay/getShopByMember", data, false);
	},
	loginmpdifyPwd(data) { // 修改资金密码
		return uni.api.get("login/mpdifyPwd", data);
	},
}